%Bc. Roman Slabý 
%Převod dec čísla na bin 
%Určeno pro převod v cisla znazorněného v editboxu
%pm (počet míst) určuje počet čísel pro převod 
%př: pm=4   vstup 0-15   vystup 0000 - 1111
%    pm=2   vstup 0-3    vystup 00 - 11


function [cislo] = fce_bin_decstr(dec,pm);

    for n=1:pm  
        a(n)=mod(dec,2);    %zbytek
        b(n)=fix(dec/2);    %celočiselny
        dec=b(n);          
    end 

    velikost=size(a);
    velikost=velikost(2);

    for i=1:velikost
        bin(i)=a(velikost+1-i);
    end
    
    for i=1:pm
        cislo(i)=num2str(bin(i)); 
    end
   
end